summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'x11-themes')
-rw-r--r--x11-themes/fvwm-crystal/ChangeLog37
-rw-r--r--x11-themes/fvwm-crystal/Manifest2
-rw-r--r--x11-themes/fvwm-crystal/fvwm-crystal-3.3.2-r1.ebuild64
-rw-r--r--x11-themes/fvwm-crystal/fvwm-crystal-3.6.5.ebuild82
-rw-r--r--x11-themes/fvwm-crystal/metadata.xml18
5 files changed, 108 insertions, 95 deletions
diff --git a/x11-themes/fvwm-crystal/ChangeLog b/x11-themes/fvwm-crystal/ChangeLog
new file mode 100644
index 00000000..90d16157
--- /dev/null
+++ b/x11-themes/fvwm-crystal/ChangeLog
@@ -0,0 +1,37 @@
+# ChangeLog for x11-themes/fvwm-crystal
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*fvwm-crystal-3.3.2-r1 (08 Mar 2014)
+
+ 24 Sep 2014; Martin Väth <martin@mvath.de>:
+ Cosmetical changes to make repoman happy
+
+ 08 Mar 2014; Martin Väth <martin@mvath.de>:
+ Fix some path handling; thanks for feedback from upstream developer
+ Dominique Michel. Do not install LICENSE file (is globally in gentoo).
+
+*fvwm-crystal-3.3.2 (23 Jan 2014)
+
+ 08 Mar 2014; Martin Väth <martin@mvath.de>:
+ Fix some path handling; thanks for feedback from upstream developer
+ Dominique Michel. Do not install LICENSE file (is globally in gentoo).
+
+ 23 Jan 2014; Martin Väth <martin@mvath.de>:
+ Version bump, remove old ebuild
+
+*fvwm-crystal-3.3.0-r1 (24 Jan 2014)
+
+ 24 Jan 2014; Martin Väth <martin@mvath.de>:
+ Do not install duplicate into /usr/local. Honour $EPREFIX
+
+*fvwm-crystal-3.3.0 (23 Jan 2014)
+
+ 23 Jan 2014; Martin Väth <martin@mvath.de>:
+ Version bump, remove old ebuild
+
+*fvwm-crystal-3.2.7 (12 Oct 2013)
+
+ 12 Oct 2013; Martin Väth <martin@mvath.de>:
+ Fork from main tree to get earlier revbump: In particular, bashisms are
+ fixed in newer versions of fvwm-crystal. Removing previous ChangeLog.
diff --git a/x11-themes/fvwm-crystal/Manifest b/x11-themes/fvwm-crystal/Manifest
index 22e9dbe5..c5554730 100644
--- a/x11-themes/fvwm-crystal/Manifest
+++ b/x11-themes/fvwm-crystal/Manifest
@@ -1 +1 @@
-DIST fvwm-crystal-3.6.5.tar.gz 5899049 BLAKE2B addd82dbbab9b457a94715a969a27ff6ef2be07cddd33a379dc4d5348c9565d3a19943828b068ec5ef5f6d032f51b77a1990316ee7b3e16e5dc98ddf32f98c7d SHA512 45cd99b83342e5e5f0de89edc92dbba3311efc7ef431d509490e3fd5b49420e94d1cef55865f45e731fd4c13172c6e2d26fbd10107cdb4a4f525379e17b94e6d
+DIST fvwm-crystal-3.3.2.tar.gz 4702096 SHA256 f0e5cd7b0a4920438229cf58a5854cc018d18fce982b42f250e624b15a1deb49 SHA512 0532aefd78c20ecdd51f01a734ae73d0c359e3afeab9838029613d4c44405a6c7b3d61b9581c4de0b7977ccaad7ea6353cf3e35b07c2940493560c7099581da7 WHIRLPOOL 9295e9d9c32f8961d522f378d176d3061a9461033cf9c2363034dac835b97f91757daacdaa83e1e601d064c34a68d0c70a280d79e86a4b167df347deeddc2973
diff --git a/x11-themes/fvwm-crystal/fvwm-crystal-3.3.2-r1.ebuild b/x11-themes/fvwm-crystal/fvwm-crystal-3.3.2-r1.ebuild
new file mode 100644
index 00000000..47d582a7
--- /dev/null
+++ b/x11-themes/fvwm-crystal/fvwm-crystal-3.3.2-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+RESTRICT=mirror
+
+PYTHON_COMPAT=( python2_7 )
+inherit eutils readme.gentoo python-r1
+
+DESCRIPTION="Configurable and full featured FVWM theme, with lots of transparency and freedesktop compatible menu"
+HOMEPAGE="http://fvwm-crystal.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}
+ x11-misc/xdg-user-dirs
+ >=x11-wm/fvwm-2.6.5[png]
+ || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] )
+ || ( >=x11-misc/stalonetray-0.6.2-r2 x11-misc/trayer )
+ || ( x11-misc/hsetroot media-gfx/feh )
+ sys-apps/sed
+ sys-devel/bc
+ virtual/awk
+ x11-apps/xwd"
+
+DISABLE_AUTOFORMATTING="true"
+DOC_CONTENTS="After installation, execute the following commands:
+\ \$ cp -r "${EROOT}"usr/share/doc/"${PF}"/addons/Xresources ~/.Xresources
+\ \$ cp -r "${EROOT}"usr/share/doc/"${PF}"/addons/Xsession ~/.xinitrc
+
+Many applications can extend functionality of fvwm-crystal.
+They are listed in "${EROOT}"usr/share/doc/"${PF}"/INSTALL.*
+
+Some icons fixes were committed recently.
+To achieve the same fixes on your private icon files,
+please read "${EROOT}"usr/share/doc/"${PF}"/INSTALL.*
+This will fix the libpng warnings at stderr.
+
+The color themes was updated to Fvwm InfoStore.
+To know how to update your custom color themes, please run
+ "${EROOT}"usr/share/"${PN}"/addons/convert_colorsets"
+
+src_prepare() {
+ epatch_user
+}
+
+src_install() {
+ emake DESTDIR="${ED}" \
+ docdir="${EPREFIX%/}/usr/share/doc/${PF}" \
+ prefix="${EPREFIX%/}/usr" \
+ install
+ # GNU License is globally in the portage tree
+ rm -vf "${ED}/usr/share/doc/${PF}"/LICENSE
+
+ python_replicate_script \
+ "${ED}/usr/bin/${PN}".{apps,wallpaper} \
+ "${ED}/usr/share/${PN}"/fvwm/scripts/FvwmMPD/*.py
+ readme.gentoo_create_doc
+}
diff --git a/x11-themes/fvwm-crystal/fvwm-crystal-3.6.5.ebuild b/x11-themes/fvwm-crystal/fvwm-crystal-3.6.5.ebuild
deleted file mode 100644
index 4f8d7633..00000000
--- a/x11-themes/fvwm-crystal/fvwm-crystal-3.6.5.ebuild
+++ /dev/null
@@ -1,82 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit readme.gentoo-r1 python-single-r1
-
-DESCRIPTION="Configurable FVWM theme with transparency and freedesktop compatible menu"
-HOMEPAGE="http://fvwm-crystal.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3+"
-SLOT="0"
-KEYWORDS="amd64 ~ppc ~ppc64 x86"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-IUSE=""
-
-case ${PV} in
-*9999)
- inherit subversion
- ESVN_REPO_URI="svn://svn.code.sf.net/p/fvwm-crystal/code"
- SRC_URI=""
- S="${WORKDIR}/${PN}"
- src_unpack() {
- subversion_src_unpack
- };;
-esac
-
-RDEPEND="${PYTHON_DEPS}
- acct-group/fvwm-crystal
- >=x11-wm/fvwm-2.6.9[png]
- virtual/imagemagick-tools
- || ( >=x11-misc/stalonetray-0.6.2-r2 x11-misc/trayer )
- || ( x11-misc/hsetroot media-gfx/feh )
- sys-apps/sed
- sys-devel/bc
- virtual/awk
- x11-apps/xwd
- media-sound/alsa-utils"
-
-DISABLE_AUTOFORMATTING="true"
-DOC_CONTENTS="After a first time installation, execute the following commands:
- $ cp -r "${EROOT}"/usr/share/doc/"${PF}"/addons/Xresources ~/.Xresources
- $ cp -r "${EROOT}"/usr/share/doc/"${PF}"/addons/Xsession ~/.xinitrc
-You can edit these files at your convenience.
-
-Many applications can extend functionality of fvwm-crystal.
-They are listed in "${EROOT}"/usr/share/doc/"${PF}"/INSTALL.*
-
-To be able to use the exit menu, each user using ${PN}
-must be in the group fvwm-crystal.
-You can do that as root with:
- $ useradd -G fvwm-crystal <user_name>
-and log out and in again.
-"
-
-src_install() {
- emake DESTDIR="${ED}" \
- docdir="${EPREFIX}/usr/share/doc/${PF}" \
- prefix="${EPREFIX}/usr" \
- install
- # GNU License is globally in the portage tree
- rm -vf "${ED}/usr/share/doc/${PF}"/LICENSE
-
- python_doscript "${ED}/usr/bin/${PN}".{apps,wallpaper}
- python_scriptinto "/usr/share/${PN}"/fvwm/scripts/FvwmMPD
- python_doscript "${ED}/usr/share/${PN}"/fvwm/scripts/FvwmMPD/*.py
- readme.gentoo_create_doc
-}
-
-pkg_postinst() {
- readme.gentoo_print_elog
- elog "Many applications can extend functionality of fvwm-crystal."
- elog "They are listed in ${EROOT}/usr/share/doc/${PF}/INSTALL.bz2"
- elog "Popular supported softwares are:"
- elog "- x11-misc/xdg-user-dirs (the gtk USE is not needed) to"
- elog " get localized XDG user directories support"
- elog "- sys-apps/systemd for hibernate/resume support"
- elog "- media-sound/jack-audio-connection-kit for a professional sound server"
- elog "- several media players"
-}
diff --git a/x11-themes/fvwm-crystal/metadata.xml b/x11-themes/fvwm-crystal/metadata.xml
index c77a6de3..5f357c6b 100644
--- a/x11-themes/fvwm-crystal/metadata.xml
+++ b/x11-themes/fvwm-crystal/metadata.xml
@@ -1,15 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person" proxied="yes">
- <email>dominique.c.michel@gmail.com</email>
- <name>Dominique Michel</name>
- </maintainer>
- <maintainer type="project" proxied="proxy">
- <email>proxy-maint@gentoo.org</email>
- <name>Proxy Maintainers</name>
- </maintainer>
- <longdescription>
+<herd>proxy-maintainers</herd>
+<maintainer>
+ <email>dominique.michel@vtxnet.ch</email>
+ <name>Dominique Michel</name>
+</maintainer>
+<longdescription>
FVWM-Crystal is a set of configuration files for FVWM window manager,
with additional programs and scripts. Some of it's features are:
* quick launching of a terminal with just one click on a desktop
@@ -21,7 +18,4 @@ with additional programs and scripts. Some of it's features are:
desktop pages
* transparent window titlebars, menus and panels on the desktop
</longdescription>
- <upstream>
- <remote-id type="sourceforge">fvwm-crystal</remote-id>
- </upstream>
</pkgmetadata>